org.crosswire.bibledesktop.passage

## Enum WholeBibleTreeNode.Level

- java.lang.Object
- - java.lang.Enum<WholeBibleTreeNode.Level>
  - - org.crosswire.bibledesktop.passage.WholeBibleTreeNode.Level

- All Implemented Interfaces:
    Serializable, Comparable<WholeBibleTreeNode.Level>
  Enclosing class:
    WholeBibleTreeNode

      private static enum WholeBibleTreeNode.Level
      extends Enum<WholeBibleTreeNode.Level>

  Levels at which this node stands.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIBLE`
    `BOOK`
    `CHAPTER`
    `VERSE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WholeBibleTreeNode.Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WholeBibleTreeNode.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIBLE

          public static final WholeBibleTreeNode.Level BIBLE

    - #### BOOK

          public static final WholeBibleTreeNode.Level BOOK

    - #### CHAPTER

          public static final WholeBibleTreeNode.Level CHAPTER

    - #### VERSE

          public static final WholeBibleTreeNode.Level VERSE

  - ### Method Detail

    - #### values

          public static WholeBibleTreeNode.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WholeBibleTreeNode.Level c : WholeBibleTreeNode.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WholeBibleTreeNode.Level valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null